image: rambabusaravanan/firebase

stages:
  - deploy

deploy-prod:
  stage: deploy
  only:
    - master
  script:
    - npm install
    - npm run build
    - firebase use tanquins-signature --token $FIREBASE_KEY
    - firebase deploy --only hosting -m "Pipe $CI_PIPELINE_ID Build $CI_BUILD_ID" --token $FIREBASE_KEY